> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kombify.io/llms.txt
> Use this file to discover all available pages before exploring further.

# techstack api homelab

> techstack api homelab 命令的生成参考

<Note>由 Techstack v0.32.8 版本生成（源码 `4c7d219a5d56`）。对于已安装的版本，请以 `techstack api <command> --help` 为准。</Note>

## techstack api homelab get

获取调用方的家庭实验室及其 StackKit 部署。

解析经过认证的所有者的规范 Homelab 总体及其 StackKit 部署。当回填已有部署但尚无 Homelab 行时，`homelab` 为 null；两者都没有时，该路由返回 404。

```bash theme={null}
techstack api homelab get [flags]
```

| | |
| - | - |
| HTTP | `GET /api/v1/homelab` |
| 更改状态 | 否 |
| MCP 工具 | `get_homelab` |

## techstack api homelab rename

重命名调用方的家庭实验室。

重命名经过认证的所有者的家庭实验室。家庭实验室名称即 Stack Identity 名称，连接后会同步到 kombify Cloud。此操作可撤销；家庭实验室根据经过认证的所有者解析，从不根据参数解析。

```bash theme={null}
techstack api homelab rename <name> [flags]
```

| | |
| - | - |
| HTTP | `PATCH /api/v1/homelab` |
| 更改状态 | 是 |
| MCP 工具 | `rename_homelab` |

| 参数 | 类型 | 说明 |
| - | - | - |
| `<name>` | string | **必填。** |
| `--body` | json | JSON 请求正文（`application/json`），可以是字面量、`@path`，或用 `-` 表示 stdin。 |


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.